unit schReferenciaGenericaServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, schReferenciaGenericaClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID__ExisteFilaReferenciaGenericaDelta = '{4C9816CA-AD0C-473A-B192-0F3331601D04}';
  RID_InformeRefGenericaDelta = '{2C606C5E-D12E-443D-B4E6-C0B16320F16B}';
  RID_GetProductoDelta = '{A606AA38-2F35-4FC5-BB96-3C6FD80EBFB6}';
  RID_ReferenciaGenericaDelta = '{C8170A4A-6B29-465D-99F4-773795682573}';

type
  { I_ExisteFilaReferenciaGenericaDelta }
  I_ExisteFilaReferenciaGenericaDelta = interface(I_ExisteFilaReferenciaGenerica)
  ['{4C9816CA-AD0C-473A-B192-0F3331601D04}']
    { Property getters and setters }
    function GetOldNUMINFValue : String;
    function GetOldCLAVE1Value : Float;
    function GetOldCLAVE2Value : Integer;
    function GetOldCLAVE3Value : Integer;
    function GetOldNUMCONValue : Integer;

    { Properties }
    property OldNUMINF : String read GetOldNUMINFValue;
    property OldCLAVE1 : Float read GetOldCLAVE1Value;
    property OldCLAVE2 : Integer read GetOldCLAVE2Value;
    property OldCLAVE3 : Integer read GetOldCLAVE3Value;
    property OldNUMCON : Integer read GetOldNUMCONValue;
  end;

  { T_ExisteFilaReferenciaGenericaBusinessProcessorRules }
  T_ExisteFilaReferenciaGenericaBusinessProcessorRules = class(TDABusinessProcessorRules, I_ExisteFilaReferenciaGenerica, I_ExisteFilaReferenciaGenericaDelta)
  private
  protected
    { Property getters and setters }
    function GetNUMINFValue: String; virtual;
    function GetOldNUMINFValue: String; virtual;
    procedure SetNUMINFValue(const aValue: String); virtual;
    function GetCLAVE1Value: Float; virtual;
    function GetOldCLAVE1Value: Float; virtual;
    procedure SetCLAVE1Value(const aValue: Float); virtual;
    function GetCLAVE2Value: Integer; virtual;
    function GetOldCLAVE2Value: Integer; virtual;
    procedure SetCLAVE2Value(const aValue: Integer); virtual;
    function GetCLAVE3Value: Integer; virtual;
    function GetOldCLAVE3Value: Integer; virtual;
    procedure SetCLAVE3Value(const aValue: Integer); virtual;
    function GetNUMCONValue: Integer; virtual;
    function GetOldNUMCONValue: Integer; virtual;
    procedure SetNUMCONValue(const aValue: Integer); virtual;

    { Properties }
    property NUMINF : String read GetNUMINFValue write SetNUMINFValue;
    property OldNUMINF : String read GetOldNUMINFValue;
    property CLAVE1 : Float read GetCLAVE1Value write SetCLAVE1Value;
    property OldCLAVE1 : Float read GetOldCLAVE1Value;
    property CLAVE2 : Integer read GetCLAVE2Value write SetCLAVE2Value;
    property OldCLAVE2 : Integer read GetOldCLAVE2Value;
    property CLAVE3 : Integer read GetCLAVE3Value write SetCLAVE3Value;
    property OldCLAVE3 : Integer read GetOldCLAVE3Value;
    property NUMCON : Integer read GetNUMCONValue write SetNUMCONValue;
    property OldNUMCON : Integer read GetOldNUMCONValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IInformeRefGenericaDelta }
  IInformeRefGenericaDelta = interface(IInformeRefGenerica)
  ['{2C606C5E-D12E-443D-B4E6-C0B16320F16B}']
    { Property getters and setters }
    function GetOldCODCENTROValue : String;
    function GetOldCENTROValue : String;
    function GetOldCODVENDEDORValue : String;
    function GetOldVENDEDORValue : String;
    function GetOldFECHAValue : DateTime;
    function GetOldNUMTALONValue : String;
    function GetOldCANTIDADValue : String;
    function GetOldVALTOTValue : Float;

    { Properties }
    property OldCODCENTRO : String read GetOldCODCENTROValue;
    property OldCENTRO : String read GetOldCENTROValue;
    property OldCODVENDEDOR : String read GetOldCODVENDEDORValue;
    property OldVENDEDOR : String read GetOldVENDEDORValue;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property OldNUMTALON : String read GetOldNUMTALONValue;
    property OldCANTIDAD : String read GetOldCANTIDADValue;
    property OldVALTOT : Float read GetOldVALTOTValue;
  end;

  { TInformeRefGenericaBusinessProcessorRules }
  TInformeRefGenericaBusinessProcessorRules = class(TDABusinessProcessorRules, IInformeRefGenerica, IInformeRefGenericaDelta)
  private
  protected
    { Property getters and setters }
    function GetCODCENTROValue: String; virtual;
    function GetOldCODCENTROValue: String; virtual;
    procedure SetCODCENTROValue(const aValue: String); virtual;
    function GetCENTROValue: String; virtual;
    function GetOldCENTROValue: String; virtual;
    procedure SetCENTROValue(const aValue: String); virtual;
    function GetCODVENDEDORValue: String; virtual;
    function GetOldCODVENDEDORValue: String; virtual;
    procedure SetCODVENDEDORValue(const aValue: String); virtual;
    function GetVENDEDORValue: String; virtual;
    function GetOldVENDEDORValue: String; virtual;
    procedure SetVENDEDORValue(const aValue: String); virtual;
    function GetFECHAValue: DateTime; virtual;
    function GetOldFECHAValue: DateTime; virtual;
    procedure SetFECHAValue(const aValue: DateTime); virtual;
    function GetNUMTALONValue: String; virtual;
    function GetOldNUMTALONValue: String; virtual;
    procedure SetNUMTALONValue(const aValue: String); virtual;
    function GetCANTIDADValue: String; virtual;
    function GetOldCANTIDADValue: String; virtual;
    procedure SetCANTIDADValue(const aValue: String); virtual;
    function GetVALTOTValue: Float; virtual;
    function GetOldVALTOTValue: Float; virtual;
    procedure SetVALTOTValue(const aValue: Float); virtual;

    { Properties }
    property CODCENTRO : String read GetCODCENTROValue write SetCODCENTROValue;
    property OldCODCENTRO : String read GetOldCODCENTROValue;
    property CENTRO : String read GetCENTROValue write SetCENTROValue;
    property OldCENTRO : String read GetOldCENTROValue;
    property CODVENDEDOR : String read GetCODVENDEDORValue write SetCODVENDEDORValue;
    property OldCODVENDEDOR : String read GetOldCODVENDEDORValue;
    property VENDEDOR : String read GetVENDEDORValue write SetVENDEDORValue;
    property OldVENDEDOR : String read GetOldVENDEDORValue;
    property FECHA : DateTime read GetFECHAValue write SetFECHAValue;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property NUMTALON : String read GetNUMTALONValue write SetNUMTALONValue;
    property OldNUMTALON : String read GetOldNUMTALONValue;
    property CANTIDAD : String read GetCANTIDADValue write SetCANTIDADValue;
    property OldCANTIDAD : String read GetOldCANTIDADValue;
    property VALTOT : Float read GetVALTOTValue write SetVALTOTValue;
    property OldVALTOT : Float read GetOldVALTOTValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IGetProductoDelta }
  IGetProductoDelta = interface(IGetProducto)
  ['{A606AA38-2F35-4FC5-BB96-3C6FD80EBFB6}']
    { Property getters and setters }
    function GetOldCODIGO_BARRAValue : String;
    function GetOldCOR_PRODUTOValue : String;
    function GetOldDESC_PRODUTOValue : String;
    function GetOldPRODUTOValue : String;
    function GetOldGRADEValue : String;

    { Properties }
    property OldCODIGO_BARRA : String read GetOldCODIGO_BARRAValue;
    property OldCOR_PRODUTO : String read GetOldCOR_PRODUTOValue;
    property OldDESC_PRODUTO : String read GetOldDESC_PRODUTOValue;
    property OldPRODUTO : String read GetOldPRODUTOValue;
    property OldGRADE : String read GetOldGRADEValue;
  end;

  { TGetProductoBusinessProcessorRules }
  TGetProductoBusinessProcessorRules = class(TDABusinessProcessorRules, IGetProducto, IGetProductoDelta)
  private
  protected
    { Property getters and setters }
    function GetCODIGO_BARRAValue: String; virtual;
    function GetOldCODIGO_BARRAValue: String; virtual;
    procedure SetCODIGO_BARRAValue(const aValue: String); virtual;
    function GetCOR_PRODUTOValue: String; virtual;
    function GetOldCOR_PRODUTOValue: String; virtual;
    procedure SetCOR_PRODUTOValue(const aValue: String); virtual;
    function GetDESC_PRODUTOValue: String; virtual;
    function GetOldDESC_PRODUTOValue: String; virtual;
    procedure SetDESC_PRODUTOValue(const aValue: String); virtual;
    function GetPRODUTOValue: String; virtual;
    function GetOldPRODUTOValue: String; virtual;
    procedure SetPRODUTOValue(const aValue: String); virtual;
    function GetGRADEValue: String; virtual;
    function GetOldGRADEValue: String; virtual;
    procedure SetGRADEValue(const aValue: String); virtual;

    { Properties }
    property CODIGO_BARRA : String read GetCODIGO_BARRAValue write SetCODIGO_BARRAValue;
    property OldCODIGO_BARRA : String read GetOldCODIGO_BARRAValue;
    property COR_PRODUTO : String read GetCOR_PRODUTOValue write SetCOR_PRODUTOValue;
    property OldCOR_PRODUTO : String read GetOldCOR_PRODUTOValue;
    property DESC_PRODUTO : String read GetDESC_PRODUTOValue write SetDESC_PRODUTOValue;
    property OldDESC_PRODUTO : String read GetOldDESC_PRODUTOValue;
    property PRODUTO : String read GetPRODUTOValue write SetPRODUTOValue;
    property OldPRODUTO : String read GetOldPRODUTOValue;
    property GRADE : String read GetGRADEValue write SetGRADEValue;
    property OldGRADE : String read GetOldGRADEValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IReferenciaGenericaDelta }
  IReferenciaGenericaDelta = interface(IReferenciaGenerica)
  ['{C8170A4A-6B29-465D-99F4-773795682573}']
    { Property getters and setters }
    function GetOldNUMINFValue : String;
    function GetOldCLAVE1Value : Float;
    function GetOldCLAVE2Value : Integer;
    function GetOldCLAVE3Value : Integer;
    function GetOldNUMCONValue : Integer;
    function GetOldFECHAValue : DateTime;
    function GetOldCODCENTROValue : String;
    function GetOldCENTROValue : String;
    function GetOldCODVENDEDORValue : String;
    function GetOldVENDEDORValue : String;
    function GetOldNUMTALONValue : String;
    function GetOldCODIGO_BARRAValue : String;
    function GetOldCODIGOValue : String;
    function GetOldPRODUCTOValue : String;
    function GetOldCOLORValue : String;
    function GetOldTALLAValue : String;
    function GetOldVTAPROCESOValue : Float;
    function GetOldVTAFINALValue : Float;
    function GetOldVTATERMValue : Float;
    function GetOldVALTOTValue : Float;
    function GetOldESTADOValue : String;
    function GetOldFECHACAMBIOValue : DateTime;

    { Properties }
    property OldNUMINF : String read GetOldNUMINFValue;
    property OldCLAVE1 : Float read GetOldCLAVE1Value;
    property OldCLAVE2 : Integer read GetOldCLAVE2Value;
    property OldCLAVE3 : Integer read GetOldCLAVE3Value;
    property OldNUMCON : Integer read GetOldNUMCONValue;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property OldCODCENTRO : String read GetOldCODCENTROValue;
    property OldCENTRO : String read GetOldCENTROValue;
    property OldCODVENDEDOR : String read GetOldCODVENDEDORValue;
    property OldVENDEDOR : String read GetOldVENDEDORValue;
    property OldNUMTALON : String read GetOldNUMTALONValue;
    property OldCODIGO_BARRA : String read GetOldCODIGO_BARRAValue;
    property OldCODIGO : String read GetOldCODIGOValue;
    property OldPRODUCTO : String read GetOldPRODUCTOValue;
    property OldCOLOR : String read GetOldCOLORValue;
    property OldTALLA : String read GetOldTALLAValue;
    property OldVTAPROCESO : Float read GetOldVTAPROCESOValue;
    property OldVTAFINAL : Float read GetOldVTAFINALValue;
    property OldVTATERM : Float read GetOldVTATERMValue;
    property OldVALTOT : Float read GetOldVALTOTValue;
    property OldESTADO : String read GetOldESTADOValue;
    property OldFECHACAMBIO : DateTime read GetOldFECHACAMBIOValue;
  end;

  { TReferenciaGenericaBusinessProcessorRules }
  TReferenciaGenericaBusinessProcessorRules = class(TDABusinessProcessorRules, IReferenciaGenerica, IReferenciaGenericaDelta)
  private
  protected
    { Property getters and setters }
    function GetNUMINFValue: String; virtual;
    function GetOldNUMINFValue: String; virtual;
    procedure SetNUMINFValue(const aValue: String); virtual;
    function GetCLAVE1Value: Float; virtual;
    function GetOldCLAVE1Value: Float; virtual;
    procedure SetCLAVE1Value(const aValue: Float); virtual;
    function GetCLAVE2Value: Integer; virtual;
    function GetOldCLAVE2Value: Integer; virtual;
    procedure SetCLAVE2Value(const aValue: Integer); virtual;
    function GetCLAVE3Value: Integer; virtual;
    function GetOldCLAVE3Value: Integer; virtual;
    procedure SetCLAVE3Value(const aValue: Integer); virtual;
    function GetNUMCONValue: Integer; virtual;
    function GetOldNUMCONValue: Integer; virtual;
    procedure SetNUMCONValue(const aValue: Integer); virtual;
    function GetFECHAValue: DateTime; virtual;
    function GetOldFECHAValue: DateTime; virtual;
    procedure SetFECHAValue(const aValue: DateTime); virtual;
    function GetCODCENTROValue: String; virtual;
    function GetOldCODCENTROValue: String; virtual;
    procedure SetCODCENTROValue(const aValue: String); virtual;
    function GetCENTROValue: String; virtual;
    function GetOldCENTROValue: String; virtual;
    procedure SetCENTROValue(const aValue: String); virtual;
    function GetCODVENDEDORValue: String; virtual;
    function GetOldCODVENDEDORValue: String; virtual;
    procedure SetCODVENDEDORValue(const aValue: String); virtual;
    function GetVENDEDORValue: String; virtual;
    function GetOldVENDEDORValue: String; virtual;
    procedure SetVENDEDORValue(const aValue: String); virtual;
    function GetNUMTALONValue: String; virtual;
    function GetOldNUMTALONValue: String; virtual;
    procedure SetNUMTALONValue(const aValue: String); virtual;
    function GetCODIGO_BARRAValue: String; virtual;
    function GetOldCODIGO_BARRAValue: String; virtual;
    procedure SetCODIGO_BARRAValue(const aValue: String); virtual;
    function GetCODIGOValue: String; virtual;
    function GetOldCODIGOValue: String; virtual;
    procedure SetCODIGOValue(const aValue: String); virtual;
    function GetPRODUCTOValue: String; virtual;
    function GetOldPRODUCTOValue: String; virtual;
    procedure SetPRODUCTOValue(const aValue: String); virtual;
    function GetCOLORValue: String; virtual;
    function GetOldCOLORValue: String; virtual;
    procedure SetCOLORValue(const aValue: String); virtual;
    function GetTALLAValue: String; virtual;
    function GetOldTALLAValue: String; virtual;
    procedure SetTALLAValue(const aValue: String); virtual;
    function GetVTAPROCESOValue: Float; virtual;
    function GetOldVTAPROCESOValue: Float; virtual;
    procedure SetVTAPROCESOValue(const aValue: Float); virtual;
    function GetVTAFINALValue: Float; virtual;
    function GetOldVTAFINALValue: Float; virtual;
    procedure SetVTAFINALValue(const aValue: Float); virtual;
    function GetVTATERMValue: Float; virtual;
    function GetOldVTATERMValue: Float; virtual;
    procedure SetVTATERMValue(const aValue: Float); virtual;
    function GetVALTOTValue: Float; virtual;
    function GetOldVALTOTValue: Float; virtual;
    procedure SetVALTOTValue(const aValue: Float); virtual;
    function GetESTADOValue: String; virtual;
    function GetOldESTADOValue: String; virtual;
    procedure SetESTADOValue(const aValue: String); virtual;
    function GetFECHACAMBIOValue: DateTime; virtual;
    function GetOldFECHACAMBIOValue: DateTime; virtual;
    procedure SetFECHACAMBIOValue(const aValue: DateTime); virtual;

    { Properties }
    property NUMINF : String read GetNUMINFValue write SetNUMINFValue;
    property OldNUMINF : String read GetOldNUMINFValue;
    property CLAVE1 : Float read GetCLAVE1Value write SetCLAVE1Value;
    property OldCLAVE1 : Float read GetOldCLAVE1Value;
    property CLAVE2 : Integer read GetCLAVE2Value write SetCLAVE2Value;
    property OldCLAVE2 : Integer read GetOldCLAVE2Value;
    property CLAVE3 : Integer read GetCLAVE3Value write SetCLAVE3Value;
    property OldCLAVE3 : Integer read GetOldCLAVE3Value;
    property NUMCON : Integer read GetNUMCONValue write SetNUMCONValue;
    property OldNUMCON : Integer read GetOldNUMCONValue;
    property FECHA : DateTime read GetFECHAValue write SetFECHAValue;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property CODCENTRO : String read GetCODCENTROValue write SetCODCENTROValue;
    property OldCODCENTRO : String read GetOldCODCENTROValue;
    property CENTRO : String read GetCENTROValue write SetCENTROValue;
    property OldCENTRO : String read GetOldCENTROValue;
    property CODVENDEDOR : String read GetCODVENDEDORValue write SetCODVENDEDORValue;
    property OldCODVENDEDOR : String read GetOldCODVENDEDORValue;
    property VENDEDOR : String read GetVENDEDORValue write SetVENDEDORValue;
    property OldVENDEDOR : String read GetOldVENDEDORValue;
    property NUMTALON : String read GetNUMTALONValue write SetNUMTALONValue;
    property OldNUMTALON : String read GetOldNUMTALONValue;
    property CODIGO_BARRA : String read GetCODIGO_BARRAValue write SetCODIGO_BARRAValue;
    property OldCODIGO_BARRA : String read GetOldCODIGO_BARRAValue;
    property CODIGO : String read GetCODIGOValue write SetCODIGOValue;
    property OldCODIGO : String read GetOldCODIGOValue;
    property PRODUCTO : String read GetPRODUCTOValue write SetPRODUCTOValue;
    property OldPRODUCTO : String read GetOldPRODUCTOValue;
    property COLOR : String read GetCOLORValue write SetCOLORValue;
    property OldCOLOR : String read GetOldCOLORValue;
    property TALLA : String read GetTALLAValue write SetTALLAValue;
    property OldTALLA : String read GetOldTALLAValue;
    property VTAPROCESO : Float read GetVTAPROCESOValue write SetVTAPROCESOValue;
    property OldVTAPROCESO : Float read GetOldVTAPROCESOValue;
    property VTAFINAL : Float read GetVTAFINALValue write SetVTAFINALValue;
    property OldVTAFINAL : Float read GetOldVTAFINALValue;
    property VTATERM : Float read GetVTATERMValue write SetVTATERMValue;
    property OldVTATERM : Float read GetOldVTATERMValue;
    property VALTOT : Float read GetVALTOTValue write SetVALTOTValue;
    property OldVALTOT : Float read GetOldVALTOTValue;
    property ESTADO : String read GetESTADOValue write SetESTADOValue;
    property OldESTADO : String read GetOldESTADOValue;
    property FECHACAMBIO : DateTime read GetFECHACAMBIOValue write SetFECHACAMBIOValue;
    property OldFECHACAMBIO : DateTime read GetOldFECHACAMBIOValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers;

{ T_ExisteFilaReferenciaGenericaBusinessProcessorRules }
constructor T_ExisteFilaReferenciaGenericaBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor T_ExisteFilaReferenciaGenericaBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function T_ExisteFilaReferenciaGenericaBusinessProcessorRules.GetNUMINFValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld__ExisteFilaReferenciaGenericaNUMINF];
end;

function T_ExisteFilaReferenciaGenericaBusinessProcessorRules.GetOldNUMINFValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld__ExisteFilaReferenciaGenericaNUMINF];
end;

procedure T_ExisteFilaReferenciaGenericaBusinessProcessorRules.SetNUMINFValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld__ExisteFilaReferenciaGenericaNUMINF] := aValue;
end;

function T_ExisteFilaReferenciaGenericaBusinessProcessorRules.GetCLAVE1Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld__ExisteFilaReferenciaGenericaCLAVE1];
end;

function T_ExisteFilaReferenciaGenericaBusinessProcessorRules.GetOldCLAVE1Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld__ExisteFilaReferenciaGenericaCLAVE1];
end;

procedure T_ExisteFilaReferenciaGenericaBusinessProcessorRules.SetCLAVE1Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld__ExisteFilaReferenciaGenericaCLAVE1] := aValue;
end;

function T_ExisteFilaReferenciaGenericaBusinessProcessorRules.GetCLAVE2Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld__ExisteFilaReferenciaGenericaCLAVE2];
end;

function T_ExisteFilaReferenciaGenericaBusinessProcessorRules.GetOldCLAVE2Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld__ExisteFilaReferenciaGenericaCLAVE2];
end;

procedure T_ExisteFilaReferenciaGenericaBusinessProcessorRules.SetCLAVE2Value(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld__ExisteFilaReferenciaGenericaCLAVE2] := aValue;
end;

function T_ExisteFilaReferenciaGenericaBusinessProcessorRules.GetCLAVE3Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld__ExisteFilaReferenciaGenericaCLAVE3];
end;

function T_ExisteFilaReferenciaGenericaBusinessProcessorRules.GetOldCLAVE3Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld__ExisteFilaReferenciaGenericaCLAVE3];
end;

procedure T_ExisteFilaReferenciaGenericaBusinessProcessorRules.SetCLAVE3Value(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld__ExisteFilaReferenciaGenericaCLAVE3] := aValue;
end;

function T_ExisteFilaReferenciaGenericaBusinessProcessorRules.GetNUMCONValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld__ExisteFilaReferenciaGenericaNUMCON];
end;

function T_ExisteFilaReferenciaGenericaBusinessProcessorRules.GetOldNUMCONValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld__ExisteFilaReferenciaGenericaNUMCON];
end;

procedure T_ExisteFilaReferenciaGenericaBusinessProcessorRules.SetNUMCONValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld__ExisteFilaReferenciaGenericaNUMCON] := aValue;
end;


{ TInformeRefGenericaBusinessProcessorRules }
constructor TInformeRefGenericaBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TInformeRefGenericaBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TInformeRefGenericaBusinessProcessorRules.GetCODCENTROValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeRefGenericaCODCENTRO];
end;

function TInformeRefGenericaBusinessProcessorRules.GetOldCODCENTROValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeRefGenericaCODCENTRO];
end;

procedure TInformeRefGenericaBusinessProcessorRules.SetCODCENTROValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeRefGenericaCODCENTRO] := aValue;
end;

function TInformeRefGenericaBusinessProcessorRules.GetCENTROValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeRefGenericaCENTRO];
end;

function TInformeRefGenericaBusinessProcessorRules.GetOldCENTROValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeRefGenericaCENTRO];
end;

procedure TInformeRefGenericaBusinessProcessorRules.SetCENTROValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeRefGenericaCENTRO] := aValue;
end;

function TInformeRefGenericaBusinessProcessorRules.GetCODVENDEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeRefGenericaCODVENDEDOR];
end;

function TInformeRefGenericaBusinessProcessorRules.GetOldCODVENDEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeRefGenericaCODVENDEDOR];
end;

procedure TInformeRefGenericaBusinessProcessorRules.SetCODVENDEDORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeRefGenericaCODVENDEDOR] := aValue;
end;

function TInformeRefGenericaBusinessProcessorRules.GetVENDEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeRefGenericaVENDEDOR];
end;

function TInformeRefGenericaBusinessProcessorRules.GetOldVENDEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeRefGenericaVENDEDOR];
end;

procedure TInformeRefGenericaBusinessProcessorRules.SetVENDEDORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeRefGenericaVENDEDOR] := aValue;
end;

function TInformeRefGenericaBusinessProcessorRules.GetFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeRefGenericaFECHA];
end;

function TInformeRefGenericaBusinessProcessorRules.GetOldFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeRefGenericaFECHA];
end;

procedure TInformeRefGenericaBusinessProcessorRules.SetFECHAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeRefGenericaFECHA] := aValue;
end;

function TInformeRefGenericaBusinessProcessorRules.GetNUMTALONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeRefGenericaNUMTALON];
end;

function TInformeRefGenericaBusinessProcessorRules.GetOldNUMTALONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeRefGenericaNUMTALON];
end;

procedure TInformeRefGenericaBusinessProcessorRules.SetNUMTALONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeRefGenericaNUMTALON] := aValue;
end;

function TInformeRefGenericaBusinessProcessorRules.GetCANTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeRefGenericaCANTIDAD];
end;

function TInformeRefGenericaBusinessProcessorRules.GetOldCANTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeRefGenericaCANTIDAD];
end;

procedure TInformeRefGenericaBusinessProcessorRules.SetCANTIDADValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeRefGenericaCANTIDAD] := aValue;
end;

function TInformeRefGenericaBusinessProcessorRules.GetVALTOTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeRefGenericaVALTOT];
end;

function TInformeRefGenericaBusinessProcessorRules.GetOldVALTOTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeRefGenericaVALTOT];
end;

procedure TInformeRefGenericaBusinessProcessorRules.SetVALTOTValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeRefGenericaVALTOT] := aValue;
end;


{ TGetProductoBusinessProcessorRules }
constructor TGetProductoBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TGetProductoBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TGetProductoBusinessProcessorRules.GetCODIGO_BARRAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_GetProductoCODIGO_BARRA];
end;

function TGetProductoBusinessProcessorRules.GetOldCODIGO_BARRAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_GetProductoCODIGO_BARRA];
end;

procedure TGetProductoBusinessProcessorRules.SetCODIGO_BARRAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_GetProductoCODIGO_BARRA] := aValue;
end;

function TGetProductoBusinessProcessorRules.GetCOR_PRODUTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_GetProductoCOR_PRODUTO];
end;

function TGetProductoBusinessProcessorRules.GetOldCOR_PRODUTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_GetProductoCOR_PRODUTO];
end;

procedure TGetProductoBusinessProcessorRules.SetCOR_PRODUTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_GetProductoCOR_PRODUTO] := aValue;
end;

function TGetProductoBusinessProcessorRules.GetDESC_PRODUTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_GetProductoDESC_PRODUTO];
end;

function TGetProductoBusinessProcessorRules.GetOldDESC_PRODUTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_GetProductoDESC_PRODUTO];
end;

procedure TGetProductoBusinessProcessorRules.SetDESC_PRODUTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_GetProductoDESC_PRODUTO] := aValue;
end;

function TGetProductoBusinessProcessorRules.GetPRODUTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_GetProductoPRODUTO];
end;

function TGetProductoBusinessProcessorRules.GetOldPRODUTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_GetProductoPRODUTO];
end;

procedure TGetProductoBusinessProcessorRules.SetPRODUTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_GetProductoPRODUTO] := aValue;
end;

function TGetProductoBusinessProcessorRules.GetGRADEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_GetProductoGRADE];
end;

function TGetProductoBusinessProcessorRules.GetOldGRADEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_GetProductoGRADE];
end;

procedure TGetProductoBusinessProcessorRules.SetGRADEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_GetProductoGRADE] := aValue;
end;


{ TReferenciaGenericaBusinessProcessorRules }
constructor TReferenciaGenericaBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TReferenciaGenericaBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TReferenciaGenericaBusinessProcessorRules.GetNUMINFValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaNUMINF];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldNUMINFValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaNUMINF];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetNUMINFValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaNUMINF] := aValue;
end;

function TReferenciaGenericaBusinessProcessorRules.GetCLAVE1Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaCLAVE1];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldCLAVE1Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaCLAVE1];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetCLAVE1Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaCLAVE1] := aValue;
end;

function TReferenciaGenericaBusinessProcessorRules.GetCLAVE2Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaCLAVE2];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldCLAVE2Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaCLAVE2];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetCLAVE2Value(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaCLAVE2] := aValue;
end;

function TReferenciaGenericaBusinessProcessorRules.GetCLAVE3Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaCLAVE3];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldCLAVE3Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaCLAVE3];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetCLAVE3Value(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaCLAVE3] := aValue;
end;

function TReferenciaGenericaBusinessProcessorRules.GetNUMCONValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaNUMCON];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldNUMCONValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaNUMCON];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetNUMCONValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaNUMCON] := aValue;
end;

function TReferenciaGenericaBusinessProcessorRules.GetFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaFECHA];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaFECHA];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetFECHAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaFECHA] := aValue;
end;

function TReferenciaGenericaBusinessProcessorRules.GetCODCENTROValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaCODCENTRO];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldCODCENTROValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaCODCENTRO];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetCODCENTROValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaCODCENTRO] := aValue;
end;

function TReferenciaGenericaBusinessProcessorRules.GetCENTROValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaCENTRO];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldCENTROValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaCENTRO];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetCENTROValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaCENTRO] := aValue;
end;

function TReferenciaGenericaBusinessProcessorRules.GetCODVENDEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaCODVENDEDOR];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldCODVENDEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaCODVENDEDOR];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetCODVENDEDORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaCODVENDEDOR] := aValue;
end;

function TReferenciaGenericaBusinessProcessorRules.GetVENDEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaVENDEDOR];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldVENDEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaVENDEDOR];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetVENDEDORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaVENDEDOR] := aValue;
end;

function TReferenciaGenericaBusinessProcessorRules.GetNUMTALONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaNUMTALON];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldNUMTALONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaNUMTALON];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetNUMTALONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaNUMTALON] := aValue;
end;

function TReferenciaGenericaBusinessProcessorRules.GetCODIGO_BARRAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaCODIGO_BARRA];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldCODIGO_BARRAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaCODIGO_BARRA];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetCODIGO_BARRAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaCODIGO_BARRA] := aValue;
end;

function TReferenciaGenericaBusinessProcessorRules.GetCODIGOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaCODIGO];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldCODIGOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaCODIGO];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetCODIGOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaCODIGO] := aValue;
end;

function TReferenciaGenericaBusinessProcessorRules.GetPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaPRODUCTO];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaPRODUCTO];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetPRODUCTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaPRODUCTO] := aValue;
end;

function TReferenciaGenericaBusinessProcessorRules.GetCOLORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaCOLOR];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldCOLORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaCOLOR];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetCOLORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaCOLOR] := aValue;
end;

function TReferenciaGenericaBusinessProcessorRules.GetTALLAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaTALLA];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldTALLAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaTALLA];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetTALLAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaTALLA] := aValue;
end;

function TReferenciaGenericaBusinessProcessorRules.GetVTAPROCESOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaVTAPROCESO];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldVTAPROCESOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaVTAPROCESO];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetVTAPROCESOValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaVTAPROCESO] := aValue;
end;

function TReferenciaGenericaBusinessProcessorRules.GetVTAFINALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaVTAFINAL];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldVTAFINALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaVTAFINAL];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetVTAFINALValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaVTAFINAL] := aValue;
end;

function TReferenciaGenericaBusinessProcessorRules.GetVTATERMValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaVTATERM];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldVTATERMValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaVTATERM];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetVTATERMValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaVTATERM] := aValue;
end;

function TReferenciaGenericaBusinessProcessorRules.GetVALTOTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaVALTOT];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldVALTOTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaVALTOT];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetVALTOTValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaVALTOT] := aValue;
end;

function TReferenciaGenericaBusinessProcessorRules.GetESTADOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaESTADO];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldESTADOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaESTADO];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetESTADOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaESTADO] := aValue;
end;

function TReferenciaGenericaBusinessProcessorRules.GetFECHACAMBIOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaFECHACAMBIO];
end;

function TReferenciaGenericaBusinessProcessorRules.GetOldFECHACAMBIOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ReferenciaGenericaFECHACAMBIO];
end;

procedure TReferenciaGenericaBusinessProcessorRules.SetFECHACAMBIOValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ReferenciaGenericaFECHACAMBIO] := aValue;
end;


initialization
  RegisterBusinessProcessorRules(RID__ExisteFilaReferenciaGenericaDelta, T_ExisteFilaReferenciaGenericaBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_InformeRefGenericaDelta, TInformeRefGenericaBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_GetProductoDelta, TGetProductoBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_ReferenciaGenericaDelta, TReferenciaGenericaBusinessProcessorRules);

end.
